Curl keine Funktionalität

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Curl keine Funktionalität gibt es 31 Antworten auf 4 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Curl keine Funktionalität

    Hallo,

    Ich habe folgendes Problem:
    Wenn ich Curl aufrufe, bekomme ich folgende Fehlermeldung:

    Quellcode

    1. jens@mars:~> curl https://www.opensuse.org
    2. curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
    3. jens@mars:~>
    Curl Version: curl 7.60.0 (x86_64-suse-linux-gnu) libcurl/7.60.0 OpenSSL/1.1.0h zlib/1.2.11 libidn2/2.0.4 libpsl/0.20.1 (+libidn2/2.0.4) libssh/0.7.5/openssl/zlib nghttp2/1.31.1
    OpenSSL Version: OpenSSL 1.1.0h-fips 27 Mar 2018

    Danke im Voraus


    Jens
    Systeminformationen:
    openSUSE Leap 15 64 bit
    Plasma 5.13
    KDE Frameworks 5.48.0
    QT 5.11.1
    Lenovo Thinkpad T420s
    1 SSD
    1 HDD

    Für den Inhalt des Beitrages 123468 haftet ausdrücklich der jeweilige Autor: Karatek_HD

  • Brainfuck-Quellcode

    1. zypper se -si curl
    2. Repository-Daten werden geladen...
    3. Installierte Pakete werden gelesen...
    4. S | Name | Typ | Version | Arch | Repository
    5. --+----------------+-------+--------------------+--------+--------------------------
    6. i | curl | Paket | 7.60.0-lp150.2.6.1 | x86_64 | openSUSE-Leap-15.0-Update
    7. i | libcurl4 | Paket | 7.60.0-lp150.2.6.1 | x86_64 | openSUSE-Leap-15.0-Update
    8. i | python3-pycurl | Paket | 7.43.0.1-lp150.2.5 | x86_64 | openSUSE-Leap-15.0-Oss
    Alles vorhanden?
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Für den Inhalt des Beitrages 123469 haftet ausdrücklich der jeweilige Autor: sterun

  • Folgende Ausgabe:

    Brainfuck-Quellcode

    1. jens@mars:~> zypper se -si curl
    2. Fehler beim Download (curl) für 'https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/repodata/repomd.xml':
    3. Fehlercode: 'Curl error 35'
    4. Fehlermeldung: 'error:1408F10B:SSL routines:ssl3_get_record:wrong version number'
    5. Abbrechen, wiederholen, ignorieren? [a/w/i/...? zeigt alle Optionen] (a): i
    6. Abbrechen, wiederholen, ignorieren? [a/w/i/...? zeigt alle Optionen] (a): i
    7. Repository 'Plasma' ist veraltet. Sie können 'zypper refresh' als root ausführen, um es zu aktualisieren.
    8. Repository-Daten werden geladen...
    9. Installierte Pakete werden gelesen...
    10. S | Name | Typ | Version | Arch | Repository
    11. ---+----------------+-------+--------------------+--------+--------------------------
    12. i+ | curl | Paket | 7.60.0-lp150.2.6.1 | x86_64 | openSUSE-Leap-15.0-Update
    13. i+ | libcurl4 | Paket | 7.60.0-lp150.2.6.1 | x86_64 | openSUSE-Leap-15.0-Update
    14. i+ | libcurl4-32bit | Paket | 7.60.0-lp150.2.6.1 | x86_64 | openSUSE-Leap-15.0-Update
    15. i+ | libflickcurl0 | Paket | 1.26-lp150.1.3 | x86_64 | openSUSE-Leap-15.0-Oss
    16. i+ | python3-pycurl | Paket | 7.43.0.1-lp150.2.5 | x86_64 | openSUSE-Leap-15.0-Oss
    Alles anzeigen
    Systeminformationen:
    openSUSE Leap 15 64 bit
    Plasma 5.13
    KDE Frameworks 5.48.0
    QT 5.11.1
    Lenovo Thinkpad T420s
    1 SSD
    1 HDD

    Für den Inhalt des Beitrages 123470 haftet ausdrücklich der jeweilige Autor: Karatek_HD

  • Vorschlag
    zypper ref
    Danach poste:
    zypper lr -d

    Edit:
    War zu spät ...
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Für den Inhalt des Beitrages 123472 haftet ausdrücklich der jeweilige Autor: sterun

  • Quellcode

    1. jens@mars:~> su -
    2. Passwort:
    3. mars:~ # zypper ref
    4. Download (curl) error for 'https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/repodata/repomd.xml':
    5. Error code: Curl error 60
    6. Error message: SSL certificate problem: unable to get local issuer certificate
    7. Abort, retry, ignore? [a/r/i/...? shows all options] (a): i
    8. Abort, retry, ignore? [a/r/i/...? shows all options] (a): i
    9. Do you want to disable the repository Plasma permanently? [yes/no] (no):
    10. Skipping repository 'Plasma' because of the above error.
    11. Repository 'home:deltafox' is up to date.
    12. Repository 'home:wolfi323:branches:KDE:Frameworks5' is up to date.
    13. Repository 'home:mrbadguy' is up to date.
    14. Repository 'home:enzokiel' is up to date.
    15. Repository 'home:ecsos:messenger' is up to date.
    16. Repository 'libdvdcss repository' is up to date.
    17. Repository 'QT5' is up to date.
    18. Repository 'Frameworks 5' is up to date.
    19. Repository 'Packman Repository' is up to date.
    20. Repository 'openSUSE-Leap-15.0-Non-Oss' is up to date.
    21. Repository 'openSUSE-Leap-15.0-Oss' is up to date.
    22. Repository 'openSUSE-Leap-15.0-Update' is up to date.
    23. Repository 'openSUSE-Leap-15.0-Update-Non-Oss' is up to date.
    24. Some of the repositories have not been refreshed because of an error.
    Alles anzeigen
    Systeminformationen:
    openSUSE Leap 15 64 bit
    Plasma 5.13
    KDE Frameworks 5.48.0
    QT 5.11.1
    Lenovo Thinkpad T420s
    1 SSD
    1 HDD

    Für den Inhalt des Beitrages 123473 haftet ausdrücklich der jeweilige Autor: Karatek_HD

  • Brainfuck-Quellcode

    1. mars:~ # zypper lr -d
    2. Repository priorities are without effect. All enabled repositories share the same priority.
    3. # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    4. ---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------------------------------+--------
    5. 1 | KDE_Frameworks5_openSUSE_Leap_15.0 | Plasma | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/ |
    6. 2 | devel_languages_python | Python Modules (openSUSE_Tumbleweed) | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_Tumbleweed/ |
    7. 3 | home_alarrosa_packages | antlarr packages (openSUSE_Tumbleweed) | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/repositories/home:/alarrosa:/packages/openSUSE_Tumbleweed/ |
    8. 4 | http-download.opensuse.org-1aaee774 | home:deltafox | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/deltafox/openSUSE_Leap_15.0/ |
    9. 5 | http-download.opensuse.org-268f2f4d | home:frispete:android | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/repositories/home:/frispete:/android/openSUSE_Leap_15.0/ |
    10. 6 | http-download.opensuse.org-7b2579af | home:wolfi323:branches:KDE:Frameworks5 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_15.0/ |
    11. 7 | http-download.opensuse.org-9ec78f0f | home:mrbadguy | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/mrbadguy/openSUSE_Leap_15.0/ |
    12. 8 | http-download.opensuse.org-d1796e45 | home:enzokiel | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/enzokiel/openSUSE_15.0_Update/ |
    13. 9 | http-download.opensuse.org-ebd79a77 | home:ecsos:messenger | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/ecsos:/messenger/openSUSE_Leap_15.0/ |
    14. 10 | http-opensuse-guide.org-fd416a9d | libdvdcss repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/ |
    15. 11 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | No | ---- | ---- | 99 | rpm-md | hd:///?device=/dev/disk/by-id/usb-Intenso_Rainbow_Line_13052200000742-0:0-part2 |
    16. 12 | openSUSE_Leap_15.0 | QT5 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.0/ |
    17. 13 | openSUSE_Leap_15.0_1 | Frameworks 5 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.0/ |
    18. 14 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/ |
    19. 15 | repo-debug | openSUSE-Leap-15.0-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/ |
    20. 16 | repo-debug-non-oss | openSUSE-Leap-15.0-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/ |
    21. 17 | repo-debug-update | openSUSE-Leap-15.0-Update-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/oss/ |
    22. 18 | repo-debug-update-non-oss | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/non-oss/ |
    23. 19 | repo-non-oss | openSUSE-Leap-15.0-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/ |
    24. 20 | repo-oss | openSUSE-Leap-15.0-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/ |
    25. 21 | repo-source | openSUSE-Leap-15.0-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/ |
    26. 22 | repo-source-non-oss | openSUSE-Leap-15.0-Source-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/ |
    27. 23 | repo-update | openSUSE-Leap-15.0-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.0/oss/ |
    28. 24 | repo-update-non-oss | openSUSE-Leap-15.0-Update-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/ |
    29. mars:~ #
    Alles anzeigen
    Musste den Code auf 2 Posts verteilen...
    Systeminformationen:
    openSUSE Leap 15 64 bit
    Plasma 5.13
    KDE Frameworks 5.48.0
    QT 5.11.1
    Lenovo Thinkpad T420s
    1 SSD
    1 HDD

    Für den Inhalt des Beitrages 123474 haftet ausdrücklich der jeweilige Autor: Karatek_HD

  • Warum mischst du Leap15 mit Tumbleweed? Sicherer kannst du dir dein System nicht zerstören. Entferne alle Tumbleweed Repos. Das als Punkt 1. Danach wieder melden.

    Für den Inhalt des Beitrages 123475 haftet ausdrücklich der jeweilige Autor: Alero

  • Die Tumbleweed Repos sind versehentlich reingerutscht, habe sie aber bevor ich wieder irgendetwas gespeichert habe wieder deaktiviert. Die Repos sind also inaktiv.
    Systeminformationen:
    openSUSE Leap 15 64 bit
    Plasma 5.13
    KDE Frameworks 5.48.0
    QT 5.11.1
    Lenovo Thinkpad T420s
    1 SSD
    1 HDD

    Für den Inhalt des Beitrages 123477 haftet ausdrücklich der jeweilige Autor: Karatek_HD